package com.sintecmedia.components.event;

import javax.faces.component.UIComponent;
import javax.faces.event.ActionEvent;
import javax.faces.event.FacesListener;

public class DaySelectedEvent extends ActionEvent {
    private static final long serialVersionUID = 2657353903701932561L;
    private int dayIndex;

    /**
    * Creates a new ScrollerEvent.
    *
    * @param component         the source of the event
    * @param newVal  the currently showing item identifier
    */
    public DaySelectedEvent( UIComponent component, int newVal ) {
        super( component );
        this.dayIndex = newVal;
    }
  
    public int getDayIndex() {
    	return dayIndex;
    }

    public boolean isAppropriateListener( FacesListener listener ) {
        return 
        	super.isAppropriateListener( listener ) || 
        	( listener instanceof DaySelectedListener );
    }

    /**
    * Delivers this event to the other listener.
    *
    * @param listener  the listener
    */
    public void processListener( FacesListener listener ) {
        if( listener instanceof DaySelectedListener ) {
			DaySelectedListener daySelectedListener = 
				(DaySelectedListener) listener;
			daySelectedListener.processDaySelect( this );
		}
        
        if( isAppropriateListener( listener ) ) {
        	processListener( listener );
        }
    }
}
